Up

# NSTextAttachment

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)

> Classes to represent text attachments.

Copyright: (C) 2000 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSTextAttachment class
2. Software documentation for the NSTextAttachmentCell class
3. Software documentation for the NSAttributedString(NSTextAttachment) category
4. Software documentation for the NSMutableAttributedString(NSTextAttachment) category
5. Software documentation for the NSTextAttachmentCell protocol

# Software documentation for the NSTextAttachment class

## NSTextAttachment : NSObject

> Declared in:
>   AppKit/NSTextAttachment.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - NotOpenStep
> - GNUstep

Description forthcoming.

Method summary

- -attachmentCell
- -fileWrapper
- -initWithFileWrapper:
- -setAttachmentCell:
- -setFileWrapper:

### attachmentCell

- (id<NSTextAttachmentCell>) attachmentCell;

Description forthcoming.

### fileWrapper

- (NSFileWrapper*) fileWrapper;

Description forthcoming.

### initWithFileWrapper:

- (id) initWithFileWrapper: (NSFileWrapper*)fileWrapper;

Description forthcoming.

### setAttachmentCell:

- (void) setAttachmentCell: (id<NSTextAttachmentCell>)cell;

Description forthcoming.

### setFileWrapper:

- (void) setFileWrapper: (NSFileWrapper*)fileWrapper;

Description forthcoming.

# Software documentation for the NSTextAttachmentCell class

## NSTextAttachmentCell : NSCell

> Declared in:
>   AppKit/NSTextAttachment.h

> Conforms to:
>   NSTextAttachmentCell

> Standards:
> - MacOS-X
> - NotOpenStep
> - GNUstep

Description forthcoming.

# Software documentation for the NSAttributedString(NSTextAttachment) category

## NSAttributedString(NSTextAttachment)

> Declared in:
>   AppKit/NSTextAttachment.h

> Standards:
> - MacOS-X
> - NotOpenStep
> - GNUstep

Description forthcoming.

Method summary

- +attributedStringWithAttachment:
- -containsAttachments

### attributedStringWithAttachment:

+ (NSAttributedString*) attributedStringWithAttachment: (NSTextAttachment*)attachment;

Description forthcoming.

### containsAttachments

- (BOOL) containsAttachments;

Description forthcoming.

# Software documentation for the NSMutableAttributedString(NSTextAttachment) category

## NSMutableAttributedString(NSTextAttachment)

> Declared in:
>   AppKit/NSTextAttachment.h

> Standards:
> - MacOS-X
> - NotOpenStep
> - GNUstep

Description forthcoming.

Method summary

- -updateAttachmentsFromPath:

### updateAttachmentsFromPath:

- (void) updateAttachmentsFromPath: (NSString*)path;

Description forthcoming.

# Software documentation for the NSTextAttachmentCell protocol

## NSTextAttachmentCell

> Declared in:
>   AppKit/NSTextAttachment.h

> Conforms to:
>   NSObject

> Standards:
> - MacOS-X
> - NotOpenStep
> - GNUstep

Description forthcoming.

Method summary

- -attachment
- -cellBaselineOffset
- -cellFrameForTextContainer:proposedLineFragment:glyphPosition:characterIndex:
- -cellSize
- -drawWithFrame:inView:
- -drawWithFrame:inView:characterIndex:
- -drawWithFrame:inView:characterIndex:layoutManager:
- -highlight:withFrame:inView:
- -setAttachment:
- -trackMouse:inRect:ofView:atCharacterIndex:untilMouseUp:
- -trackMouse:inRect:ofView:untilMouseUp:
- -wantsToTrackMouse
- -wantsToTrackMouseForEvent:inRect:ofView:atCharacterIndex:

### attachment

- (NSTextAttachment*) attachment;

Description forthcoming.

### cellBaselineOffset

- (NSPoint) cellBaselineOffset;

Description forthcoming.

### cellFrameForTextContainer:proposedLineFragment:glyphPosition:characterIndex:

- (NSRect) cellFrameForTextContainer: (NSTextContainer*)textContainer proposedLineFragment: (NSRect)lineFrag glyphPosition: (NSPoint)position characterIndex: (unsigned int)charIndex;

The new way of placing the cell.

### cellSize

- (NSSize) cellSize;

The old way of placing the cell. The text system will never call these directly (TODO: make sure it doesn't), but other things might. The class implements the new method by calling these, so subclasses can easily change behavior by overriding these.

### drawWithFrame:inView:

- (void) drawWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### drawWithFrame:inView:characterIndex:

- (void) drawWithFrame: (NSRect)cellFrame inView: (NSView*)controlView characterIndex: (unsigned)charIndex;

Description forthcoming.

### drawWithFrame:inView:characterIndex:layoutManager:

- (void) drawWithFrame: (NSRect)cellFrame inView: (NSView*)controlView characterIndex: (unsigned)charIndex layoutManager: (NSLayoutManager*)layoutManager;

Description forthcoming.

### highlight:withFrame:inView:

- (void) highlight: (BOOL)flag withFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### setAttachment:

- (void) setAttachment: (NSTextAttachment*)anObject;

Description forthcoming.

### trackMouse:inRect:ofView:atCharacterIndex:untilMouseUp:

- (BOOL) trackMouse: (NSEvent*)theEvent inRect: (NSRect)cellFrame ofView: (NSView*)controlView atCharacterIndex: (unsigned)charIndex untilMouseUp: (BOOL)flag;

Description forthcoming.

### trackMouse:inRect:ofView:untilMouseUp:

- (BOOL) trackMouse: (NSEvent*)theEvent inRect: (NSRect)cellFrame ofView: (NSView*)controlView untilMouseUp: (BOOL)flag;

Description forthcoming.

### wantsToTrackMouse

- (BOOL) wantsToTrackMouse;

Description forthcoming.

### wantsToTrackMouseForEvent:inRect:ofView:atCharacterIndex:

- (BOOL) wantsToTrackMouseForEvent: (NSEvent*)theEvent inRect: (NSRect)cellFrame ofView: (NSView*)controlView atCharacterIndex: (unsigned)charIndex;

Description forthcoming.

Up